/* NODLGS.C */

#include <notes.g>
#include <ncedit.g>
#include <hwim.h>

GLREF_D PR_VAFLAT *DatApp1;
GLREF_D PR_NOCOMMAN *DatApp2;

#pragma METHOD_CALL

METHOD VOID nodl_goto_dl_dyn_init(PR_DLGBOX *self)
    {
    SE_NCEDIT set;

    set.high=DatApp1->varoot.nrec;
    set.value=(*(UWORD *)self->dlgbox.rbuf)+1;
    set.flags=SE_NCEDIT_VALUE|SE_NCEDIT_HIGH;
    hDlgSet(1,&set);
    }

METHOD INT nodl_goto_dl_key(PR_DLGBOX *self)
    {
    *(UWORD *)self->dlgbox.rbuf=hDlgSenseNcedit(1)-1;
    return(WN_KEY_CHANGED);
    }

#define NODL_OPTIONS_CASESENS   1
#define NODL_OPTIONS_FINDTYPE   2

METHOD VOID nodl_options_dl_dyn_init(PR_DLGBOX *self)
    {
    hDlgSetChlist(NODL_OPTIONS_CASESENS,DatApp2->nocomman.casesens);
    hDlgSetChlist(NODL_OPTIONS_FINDTYPE,DatApp2->nocomman.findtype);
    }

METHOD INT nodl_options_dl_key(PR_DLGBOX *self)
    {
    DatApp2->nocomman.casesens=hDlgSenseChlist(NODL_OPTIONS_CASESENS);
    DatApp2->nocomman.findtype=hDlgSenseChlist(NODL_OPTIONS_FINDTYPE);
    return(WN_KEY_CHANGED);
    }
